kgenframeworksapidox(1)

NAME
kgenframeworksapidox - KDE API documentation generation tools

VERSION
5.13.0

USAGE
usage: kgenframeworksapidox [-h] [--depdiagram-dot-dir DIR] [--title TITLE]
                        [--man-pages] [--qhp] [--searchengine]
                        [--api-searchbox] [--qtdoc-dir QTDOC_DIR]
                        [--qtdoc-link QTDOC_LINK] [--qtdoc-flatten-links]
                        [--doxygen DOXYGEN]
                        [--qhelpgenerator QHELPGENERATOR]
                        [--doxdatadir DOXDATADIR] [--keep-temp-dirs]
                        frameworksdir Generate API documentation for the KDE Frameworks optional arguments:
  -h, --help show this help message and exit sources:
  frameworksdir Location of the frameworks modules.
  --depdiagram-dot-dir DIR
                        Generate dependency diagrams, using the .dot files
                        from DIR. output options:
  --title TITLE String to use for page titles.
  --man-pages Generate man page documentation.
  --qhp Generate Qt Compressed Help documentation.
  --searchengine Enable Doxygen's search engine feature.
  --api-searchbox Enable the API searchbox (only useful for
                        api.kde.org). Qt documentation:
  --qtdoc-dir QTDOC_DIR
                        Location of (local) Qt documentation; this is searched
                        for tag files to create links to Qt classes.
  --qtdoc-link QTDOC_LINK
                        Override Qt documentation location for the links in
                        the html files. May be a path or URL.
  --qtdoc-flatten-links
                        Whether to assume all Qt documentation html files are
                        immediately under QTDOC_LINK (useful if you set
                        QTDOC_LINK to the online Qt documentation). Ignored if
                        QTDOC_LINK is not set. paths:
  --doxygen DOXYGEN (Path to) the doxygen executable.
  --qhelpgenerator QHELPGENERATOR
                        (Path to) the qhelpgenerator executable. misc:
  --doxdatadir DOXDATADIR
                        Location of the HTML header files and support
                        graphics.
  --keep-temp-dirs Do not delete temporary dirs, useful for debugging.

AUTHORS
This version of kapidox was written by Aurélien Gâteau agateau@kde.org.

This man-page was created by Scott Kitterman <scott@kitterman.com>.